#!/bin/sh

# Main switch software env variables

# Directory to store x10 related files
export SW_SYS_CONFIG_DIR=/etc/x10  # normally ro

# Directory to store x10 configuration files
export SW_USR_CONFIG_DIR=/etc/x10/conf  # normally rw

# File to store syslog facility variable
export SW_LOG_FACILITY_FILE="$SW_USR_CONFIG_DIR/.log-facility"

# Config file used for startup
export SW_STARTUP_CONFIG_CLI="$SW_USR_CONFIG_DIR/startup-config"

# Default config file used for startup
export SW_DEFAULT_CONFIG_CLI="$SW_SYS_CONFIG_DIR/default-config"

# Old config files (for compability only)
export SW_STARTUP_CONFIG_SH="$SW_USR_CONFIG_DIR/startup-config.sh"
export SW_DEFAULT_CONFIG_SH="$SW_SYS_CONFIG_DIR/default-config.sh"

# System user group for switch administrator
export SW_ADMIN_GROUP="admin"

